Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const index = require('./worker/index.js');
const handleError = require('./server-common/handleError.js');
const load = require('./server-common/load.js');
const handle = require('./server-common/handle.js');
const cloudflare = require('./worker/cloudflare.js');
const serverRoute = require('./server-common/serverRoute.js');
const cloudflare$1 = require('@sentry/cloudflare');



exports.trackComponent = index.trackComponent;
exports.handleErrorWithSentry = handleError.handleErrorWithSentry;
exports.wrapLoadWithSentry = load.wrapLoadWithSentry;
exports.wrapServerLoadWithSentry = load.wrapServerLoadWithSentry;
exports.sentryHandle = handle.sentryHandle;
exports.initCloudflareSentryHandle = cloudflare.initCloudflareSentryHandle;
exports.wrapServerRouteWithSentry = serverRoute.wrapServerRouteWithSentry;
exports.SDK_VERSION = cloudflare$1.SDK_VERSION;
exports.SEMANTIC_ATTRIBUTE_SENTRY_OP = cloudflare$1.SEMANTIC_ATTRIBUTE_SENTRY_OP;
exports.SEMANTIC_ATTRIBUTE_SENTRY_ORIGIN = cloudflare$1.SEMANTIC_ATTRIBUTE_SENTRY_ORIGIN;
exports.SEMANTIC_ATTRIBUTE_SENTRY_SAMPLE_RATE = cloudflare$1.SEMANTIC_ATTRIBUTE_SENTRY_SAMPLE_RATE;
exports.SEMANTIC_ATTRIBUTE_SENTRY_SOURCE = cloudflare$1.SEMANTIC_ATTRIBUTE_SENTRY_SOURCE;
exports.Scope = cloudflare$1.Scope;
exports.addBreadcrumb = cloudflare$1.addBreadcrumb;
exports.addEventProcessor = cloudflare$1.addEventProcessor;
exports.addIntegration = cloudflare$1.addIntegration;
exports.captureCheckIn = cloudflare$1.captureCheckIn;
exports.captureConsoleIntegration = cloudflare$1.captureConsoleIntegration;
exports.captureEvent = cloudflare$1.captureEvent;
exports.captureException = cloudflare$1.captureException;
exports.captureFeedback = cloudflare$1.captureFeedback;
exports.captureMessage = cloudflare$1.captureMessage;
exports.close = cloudflare$1.close;
exports.continueTrace = cloudflare$1.continueTrace;
exports.createTransport = cloudflare$1.createTransport;
exports.dedupeIntegration = cloudflare$1.dedupeIntegration;
exports.extraErrorDataIntegration = cloudflare$1.extraErrorDataIntegration;
exports.flush = cloudflare$1.flush;
exports.functionToStringIntegration = cloudflare$1.functionToStringIntegration;
exports.getActiveSpan = cloudflare$1.getActiveSpan;
exports.getClient = cloudflare$1.getClient;
exports.getCurrentScope = cloudflare$1.getCurrentScope;
exports.getDefaultIntegrations = cloudflare$1.getDefaultIntegrations;
exports.getGlobalScope = cloudflare$1.getGlobalScope;
exports.getIsolationScope = cloudflare$1.getIsolationScope;
exports.getRootSpan = cloudflare$1.getRootSpan;
exports.getSpanDescendants = cloudflare$1.getSpanDescendants;
exports.getSpanStatusFromHttpCode = cloudflare$1.getSpanStatusFromHttpCode;
exports.getTraceData = cloudflare$1.getTraceData;
exports.getTraceMetaTags = cloudflare$1.getTraceMetaTags;
exports.inboundFiltersIntegration = cloudflare$1.inboundFiltersIntegration;
exports.instrumentSupabaseClient = cloudflare$1.instrumentSupabaseClient;
exports.isEnabled = cloudflare$1.isEnabled;
exports.isInitialized = cloudflare$1.isInitialized;
exports.lastEventId = cloudflare$1.lastEventId;
exports.linkedErrorsIntegration = cloudflare$1.linkedErrorsIntegration;
exports.requestDataIntegration = cloudflare$1.requestDataIntegration;
exports.rewriteFramesIntegration = cloudflare$1.rewriteFramesIntegration;
exports.setContext = cloudflare$1.setContext;
exports.setCurrentClient = cloudflare$1.setCurrentClient;
exports.setExtra = cloudflare$1.setExtra;
exports.setExtras = cloudflare$1.setExtras;
exports.setHttpStatus = cloudflare$1.setHttpStatus;
exports.setMeasurement = cloudflare$1.setMeasurement;
exports.setTag = cloudflare$1.setTag;
exports.setTags = cloudflare$1.setTags;
exports.setUser = cloudflare$1.setUser;
exports.spanToBaggageHeader = cloudflare$1.spanToBaggageHeader;
exports.spanToJSON = cloudflare$1.spanToJSON;
exports.spanToTraceHeader = cloudflare$1.spanToTraceHeader;
exports.startInactiveSpan = cloudflare$1.startInactiveSpan;
exports.startNewTrace = cloudflare$1.startNewTrace;
exports.startSpan = cloudflare$1.startSpan;
exports.startSpanManual = cloudflare$1.startSpanManual;
exports.supabaseIntegration = cloudflare$1.supabaseIntegration;
exports.suppressTracing = cloudflare$1.suppressTracing;
exports.trpcMiddleware = cloudflare$1.trpcMiddleware;
exports.withActiveSpan = cloudflare$1.withActiveSpan;
exports.withIsolationScope = cloudflare$1.withIsolationScope;
exports.withMonitor = cloudflare$1.withMonitor;
exports.withScope = cloudflare$1.withScope;
exports.zodErrorsIntegration = cloudflare$1.zodErrorsIntegration;
//# sourceMappingURL=index.worker.js.map
