Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const core = require('@sentry/core');
const node = require('@sentry/node');
const rewriteFramesIntegration = require('../server-common/rewriteFramesIntegration.js');

/**
 * Initialize the Server-side Sentry SDK
 * @param options
 */
function init(options) {
  const opts = {
    defaultIntegrations: [...node.getDefaultIntegrations(options), rewriteFramesIntegration.rewriteFramesIntegration()],
    ...options,
  };

  core.applySdkMetadata(opts, 'sveltekit', ['sveltekit', 'node']);

  return node.init(opts);
}

exports.init = init;
//# sourceMappingURL=sdk.js.map
