import { applySdkMetadata } from '@sentry/core';
import { getDefaultIntegrations, init as init$1 } from '@sentry/node';
import { rewriteFramesIntegration } from '../server-common/rewriteFramesIntegration.js';

/**
 * Initialize the Server-side Sentry SDK
 * @param options
 */
function init(options) {
  const opts = {
    defaultIntegrations: [...getDefaultIntegrations(options), rewriteFramesIntegration()],
    ...options,
  };

  applySdkMetadata(opts, 'sveltekit', ['sveltekit', 'node']);

  return init$1(opts);
}

export { init };
//# sourceMappingURL=sdk.js.map
