const VIRTUAL_GLOBAL_VALUES_FILE = '\0sentry-inject-global-values-file';

/**
 * @returns code that injects @param globalSentryValues into the global object.
 */
function getGlobalValueInjectionCode(globalSentryValues) {
  if (Object.keys(globalSentryValues).length === 0) {
    return '';
  }

  const injectedValuesCode = Object.entries(globalSentryValues)
    .map(([key, value]) => `globalThis["${key}"] = ${JSON.stringify(value)};`)
    .join('\n');

  return `${injectedValuesCode}\n`;
}

export { VIRTUAL_GLOBAL_VALUES_FILE, getGlobalValueInjectionCode };
//# sourceMappingURL=injectGlobalValues.js.map
