export { handleErrorWithSentry } from '../server-common/handleError.js';
export { wrapLoadWithSentry, wrapServerLoadWithSentry } from '../server-common/load.js';
export { sentryHandle } from '../server-common/handle.js';
export { initCloudflareSentryHandle } from './cloudflare.js';
export { wrapServerRouteWithSentry } from '../server-common/serverRoute.js';
export { SDK_VERSION, SEMANTIC_ATTRIBUTE_SENTRY_OP, SEMANTIC_ATTRIBUTE_SENTRY_ORIGIN, SEMANTIC_ATTRIBUTE_SENTRY_SAMPLE_RATE, SEMANTIC_ATTRIBUTE_SENTRY_SOURCE, Scope, addBreadcrumb, addEventProcessor, addIntegration, captureCheckIn, captureConsoleIntegration, captureEvent, captureException, captureFeedback, captureMessage, close, continueTrace, createTransport, dedupeIntegration, extraErrorDataIntegration, flush, functionToStringIntegration, getActiveSpan, getClient, getCurrentScope, getDefaultIntegrations, getGlobalScope, getIsolationScope, getRootSpan, getSpanDescendants, getSpanStatusFromHttpCode, getTraceData, getTraceMetaTags, inboundFiltersIntegration, instrumentSupabaseClient, isEnabled, isInitialized, lastEventId, linkedErrorsIntegration, requestDataIntegration, rewriteFramesIntegration, setContext, setCurrentClient, setExtra, setExtras, setHttpStatus, setMeasurement, setTag, setTags, setUser, spanToBaggageHeader, spanToJSON, spanToTraceHeader, startInactiveSpan, startNewTrace, startSpan, startSpanManual, supabaseIntegration, suppressTracing, trpcMiddleware, withActiveSpan, withIsolationScope, withMonitor, withScope, zodErrorsIntegration } from '@sentry/cloudflare';

// For use in cloudflare workers and other edge environments
//
// These are essentially the same as the node server exports, but using imports from @sentry/core
// instead of @sentry/node.
//
// This is expected to be used together with something like the @sentry/cloudflare package, to initialize Sentry
// in the worker.
//
// -------------------------
// SvelteKit SDK exports:

/**
 * Tracks the Svelte component's initialization and mounting operation as well as
 * updates and records them as spans. These spans are only recorded on the client-side.
 * Sever-side, during SSR, this function will not record any spans.
 */
function trackComponent(_options) {
  // no-op on the server side
}

export { trackComponent };
//# sourceMappingURL=index.js.map
